Modify

#1019 closed enhancement (fixed)

please allow "otr disconnect *" or do it on quit

Reported by: Jan Braun Owned by: wilmer
Priority: wishlist Milestone:
Component: OTR Version: 3.0.5
Keywords: patch Cc: janbraun@…
IRC client+version: Client-independent Operating System: Linux
OS version/distro:

Description

Since the OTR library doesn't gracefully handle a client going away and forgetting about an active OTR session[1], I'm using the workaround of "/alias quit /msg &bitlbee otr disconnect nick1 ; /msg &bitlbee otr disconnect nick2 ; /msg &bitlbee otr disconnect nick3 ; /wait 500 ; /quit" in my irc client. It would be nice to be able to tell bitlbee-otr to disconnect all active conversations.

Alternatively, it may be better to implement doing that automatically if the irc client disconnects. However, other otr-enabled clients don't seem to close their conversations on quit either, probably because it's introducing new network traffic.

[1] The other side will stay in "a connection exists" state and complain about new incoming messages being plaintext. In particular, it will not recognize the whitespace marker on them and not restart encryption.

Attachments (1)

bitlbee.disconnectall.patch (3.1 KB) - added by Jan Braun at 2013-01-14T19:43:21Z.
patch v1

Download all attachments as: .zip

Change History (7)

Changed at 2013-01-14T19:43:21Z by Jan Braun

Attachment: bitlbee.disconnectall.patch added

patch v1

comment:1 Changed at 2013-01-14T19:50:17Z by Jan Braun

Just wrote a patch for it. Written and tested against 3.0.5, but applies and compiles cleanly against 3.2 .

comment:2 Changed at 2014-02-04T05:02:10Z by dx

Keywords: patch added

Maybe related: #905

comment:3 Changed at 2014-02-07T15:05:07Z by pesco

Status: newaccepted

Indeed, not disconnecting OTR sessions on quit was an oversight and should be done for the reason you state. I've checked pidgin-otr and it does it this way. Also thanks for the patch, I'll add that too.

comment:4 Changed at 2014-02-07T16:04:11Z by pesco

Owner: changed from pesco to wilmer
Status: acceptedassigned

Done, with a few adjustments to the code. Pull from the usual place:

http://code.khjk.org/bitlbee/

comment:5 Changed at 2014-02-08T13:11:48Z by wilmer

Resolution: fixed
Status: assignedclosed

Pulled.

comment:6 Changed at 2014-02-11T10:29:46Z by ilf@…

Yay, thanks!

Modify Ticket

Action
as closed The owner will remain wilmer.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.